edu.northwestern.at.morphadorner.tools

## Enum ExtendedAdornedWord.FrontMiddleBack

- java.lang.Object
- - java.lang.Enum<ExtendedAdornedWord.FrontMiddleBack>
  - - edu.northwestern.at.morphadorner.tools.ExtendedAdornedWord.FrontMiddleBack

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ExtendedAdornedWord.FrontMiddleBack>
  Enclosing class:
    ExtendedAdornedWord

      public static enum ExtendedAdornedWord.FrontMiddleBack
      extends java.lang.Enum<ExtendedAdornedWord.FrontMiddleBack>

  Front, middle, or back of text.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BACK`
    `FRONT`
    `MIDDLE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ExtendedAdornedWord.FrontMiddleBack` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ExtendedAdornedWord.FrontMiddleBack[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FRONT

          public static final ExtendedAdornedWord.FrontMiddleBack FRONT

    - #### MIDDLE

          public static final ExtendedAdornedWord.FrontMiddleBack MIDDLE

    - #### BACK

          public static final ExtendedAdornedWord.FrontMiddleBack BACK

  - ### Method Detail

    - #### values

          public static ExtendedAdornedWord.FrontMiddleBack[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ExtendedAdornedWord.FrontMiddleBack c : ExtendedAdornedWord.FrontMiddleBack.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ExtendedAdornedWord.FrontMiddleBack valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null